Skip to content
Get started

List

client.teams.webhookEndpoints.events.list(stringwebhookEndpointID, EventListParams { teamId, paginationToken } params, RequestOptionsoptions?): EventListResponse { items, nextPaginationToken }
GET/teams/{teamId}/webhook-endpoints/{webhookEndpointId}/events

List the delivery events of one of the team’s webhook endpoints

ParametersExpand Collapse
webhookEndpointID: string
params: EventListParams { teamId, paginationToken }
teamId: string

Path param: The team Id

paginationToken?: string

Query param: A token you received in a previous request to query the next page of items

ReturnsExpand Collapse
EventListResponse { items, nextPaginationToken }
items: Array<Item>

A list of the team webhook events

id: string
endpointId: string
status: "created" | "failed" | "retrying" | "success"
One of the following:
"created"
"failed"
"retrying"
"success"
type: "*" | "asset.download.completed" | "asset.download.created" | 16 more

Every event a webhook endpoint can subscribe to: a project endpoint takes the job lifecycle events, a team endpoint takes the alert events.

One of the following:
"*"
"asset.download.completed"
"asset.download.created"
"asset.download.failed"
"generation.completed"
"generation.created"
"generation.failed"
"inference.cancelled"
"inference.completed"
"inference.created"
"inference.failed"
"model.download.completed"
"model.download.created"
"model.download.failed"
"model.training.cancelled"
"model.training.completed"
"model.training.failed"
"model.training.started"
"team.credit.threshold.crossed"
updatedAt: string
nextPaginationToken?: string

A token to query the next page of events

List

import Scenario from '@scenario-labs/sdk';

const client = new Scenario({
  apiKey: process.env['SCENARIO_SDK_API_KEY'], // This is the default and can be omitted
  apiSecret: process.env['SCENARIO_SDK_API_SECRET'], // This is the default and can be omitted
});

const events = await client.teams.webhookEndpoints.events.list('webhookEndpointId', {
  teamId: 'teamId',
});

console.log(events.items);
{
  "items": [
    {
      "id": "id",
      "endpointId": "endpointId",
      "status": "created",
      "type": "*",
      "updatedAt": "updatedAt"
    }
  ],
  "nextPaginationToken": "nextPaginationToken"
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "endpointId": "endpointId",
      "status": "created",
      "type": "*",
      "updatedAt": "updatedAt"
    }
  ],
  "nextPaginationToken": "nextPaginationToken"
}